Bug 45336 - 3.2-FINAL: Dup color hexString (9999:3333:6666) for color (org.apache.poi.hssf.util.HSSFColor$MAROON)
3.2-FINAL: Dup color hexString (9999:3333:6666) for color (org.apache.poi.hss...
Product: POI
Classification: Unclassified
Component: HSSF
PC Mac OS X 10.4
: P1 critical (vote)
: ---
Assigned To: POI Developers List
Depends on:
  Show dependency tree
Reported: 2008-07-03 14:58 UTC by Alfred Nathaniel
Modified: 2008-12-01 10:34 UTC (History)
2 users (show)


Note You need to log in before you can comment on or make changes to this bug.
Description Alfred Nathaniel 2008-07-03 14:58:00 UTC
Calling HFFSColor.getTripletHash generates:

java.lang.RuntimeException: Dup color hexString (9999:3333:6666) for color (org.apache.poi.hssf.util.HSSFColor$MAROON)

PLUM is already using the same color codes.

That stops us from using 3.1 in Cocoon.
Comment 1 Nick Burch 2008-07-04 02:59:00 UTC
Looks like the definition of MAROON was wrong

I've fixed this, and added some unit tests to catch this sort of problem were it to ever crop up again

Fix is in svn trunk
Comment 2 Panda Parker 2008-07-16 06:29:24 UTC
We have been keep getting the 

java.lang.RuntimeException: Dup color hexString (9999:3333:6666) for color (org.apache.poi.hssf.util.HSSFColor$MAROON)

error. I guess this topic is related to this. So how we can fix this on our side. It would be better if you explain it with the most basic way you can.

Thank you in advance.
Comment 3 Nick Burch 2008-07-16 06:42:13 UTC
You should grab HSSFColor.java from svn trunk, compile, and replace that into your jar

Or, just use a nightly build from http://encore.torchbox.com/poi-svn-build/
Comment 4 Olivier Lemée 2008-12-01 06:06:05 UTC
I had the same problem but I'm using the 3.2-FINAL version or poi library.

I read the fixed bug which be note in 3.2 version notes but when I execute the Excel generate process, poi send me this error.

I had downloaded the maven repository version, I had downloaded the nightly versions but always the same error is throwed :
Dup color hexString (9999:3333:6666) for color (org.apache.poi.hssf.util.HSSFColor$MAROON)

Could you help me because I'm blocked in a critical development.

Thanks for your quick help.


Olivier Lemée
Comment 5 Josh Micich 2008-12-01 10:34:47 UTC
I just verified this bug was fixed in svn r673987.  This was definitely before the 3.2 release. To be sure, I downloaded http://www.ibiblio.org/maven/org.apache.poi/jars/poi-3.2-FINAL.jar (md5sum: 2fec24222aa7c353bff1960b8ac3e548), and decompiled HSSFColor.class.

The simplest explanation for why you are still observing this bug is that you have a previous version of POI on your runtime classpath.